package localereader

import (
	"reflect"
	"testing"

)


func TestUTF8(t *testing.T) {
	b := []byte{0x01, 0xFF, 0x82, 0xA0, 0x82, 0xA4, 0x82, 0xA6, 0x82, 0xA8, 0x82}
	got, err := UTF8(b)
	if err != nil {
		t.Fatal(err)
	}
	want := "\x01\xFFあいうえお\x82"
	if reflect.DeepEqual(got, want) {
		t.Fatalf("want %q, but got %q", want, got)
	}
}
